PHPExcel_Writer_Excel2007

# Class: PHPExcel_Writer_Excel2007_StringTable

Source Location: /PHPExcel/Writer/Excel2007/StringTable.php

### Class Overview

    PHPExcel_Writer_Excel2007_WriterPart
       |
       --PHPExcel_Writer_Excel2007_StringTable

PHPExcel_Writer_Excel2007_StringTable

#### Author(s):

#### Copyright:

- Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

- createStringTable
- flipStringTable
- writeRichText
- writeRichTextForCharts
- writeStringTable

### Inherited Methods

#### Class: PHPExcel_Writer_Excel2007_WriterPart

PHPExcel_Writer_Excel2007_WriterPart::__construct()
  Set parent IWriter object
PHPExcel_Writer_Excel2007_WriterPart::getParentWriter()
  Get parent IWriter object
PHPExcel_Writer_Excel2007_WriterPart::setParentWriter()
  Set parent IWriter object

### Class Details

[line 36]
PHPExcel_Writer_Excel2007_StringTable

#### Tags:

copyright: | Copyright (c) 2006 - 2012 PHPExcel (http://www.codeplex.com/PHPExcel)

[ Top ]

### Class Methods

### method createStringTable [line 46]

`string[] createStringTable( [PHPExcel_Worksheet $pSheet = null], [string[] $pExistingTable = null])`

Create worksheet stringtable

#### Tags:

return: | String table for worksheet
throws: | Exception
access: | public

#### Parameters:

PHPExcel_Worksheet | $pSheet | Worksheet
string[] | $pExistingTable | Existing table to eventually merge with

[ Top ]

### method flipStringTable [line 303]

`array flipStringTable( [array $stringTable = array()])`

Flip string table (for index searching)

#### Tags:

access: | public

#### Parameters:

array | $stringTable | Stringtable

[ Top ]

### method writeRichText [line 150]

`void writeRichText( [PHPExcel_Shared_XMLWriter $objWriter = null], [PHPExcel_RichText $pRichText = null], [string $prefix = NULL])`

Write Rich Text

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel_Shared_XMLWriter | $objWriter | XML Writer
PHPExcel_RichText | $pRichText | Rich text
string | $prefix | Optional Namespace prefix

[ Top ]

### method writeRichTextForCharts [line 232]

`void writeRichTextForCharts( [PHPExcel_Shared_XMLWriter $objWriter = null], [string|PHPExcel_RichText $pRichText = null], [string $prefix = NULL])`

Write Rich Text

#### Tags:

throws: | Exception
access: | public

#### Parameters:

PHPExcel_Shared_XMLWriter | $objWriter | XML Writer
string|PHPExcel_RichText | $pRichText | text string or Rich text
string | $prefix | Optional Namespace prefix

[ Top ]

### method writeStringTable [line 95]

`string writeStringTable( [string[] $pStringTable = null])`

Write string table to XML format

#### Tags:

return: | XML Output
throws: | Exception
access: | public

#### Parameters:

string[] | $pStringTable |

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:18:06 +0200 by phpDocumentor 1.4.4